#!/usr/bin/env bash
### The -t argument permit to specify the type of task that you want to benchmark.
-### The -s argument permit to specify the size of task that you want to benchmark.
### Supported values are CPU_INTENSIVE, IO_INTENSIVE
+### The -s argument permit to specify the size of task that you want to benchmark.
+
+usage() {
+ echo "Usage: $0 [-t <CPU_INTENSIVE|IO_INTENSIVE>] [-s <number of tasks>]" 1>&2
+ exit 1
+}
taskType='CPU_INTENSIVE'
taskSize=5000
s)
taskSize=${OPTARG}
;;
+ :)
+ echo "Error: Missing option argument for '-${OPTARG}'" >&2;
+ usage
+ ;;
+ \?)
+ # Invalid option
+ echo "Error: Unknown or invalid option for '-${OPTARG}'" >&2;
+ usage
+ ;;
*|h)
- echo "Usage: $0 [-t taskType] [-s taskSize]"
- exit 1
+ usage
;;
esac
done
"eslint-import-resolver-typescript": "^3.5.2",
"eslint-plugin-import": "^2.26.0",
"eslint-plugin-jsdoc": "^39.6.4",
- "eslint-plugin-n": "^15.5.1",
+ "eslint-plugin-n": "^15.6.0",
"eslint-plugin-promise": "^6.1.1",
"eslint-plugin-spellcheck": "^0.0.20",
"expect": "^29.3.1",
"prettier": "^2.8.0",
"prettier-plugin-organize-imports": "^3.2.1",
"release-it": "^15.5.1",
- "rollup": "^3.5.1",
+ "rollup": "^3.6.0",
"rollup-plugin-analyzer": "^4.0.0",
"rollup-plugin-command": "^1.1.3",
"rollup-plugin-delete": "^2.0.0",
}
},
"node_modules/eslint-plugin-n": {
- "version": "15.5.1",
- "resolved": "https://registry.npmjs.org/eslint-plugin-n/-/eslint-plugin-n-15.5.1.tgz",
- "integrity": "sha512-kAd+xhZm7brHoFLzKLB7/FGRFJNg/srmv67mqb7tto22rpr4wv/LV6RuXzAfv3jbab7+k1wi42PsIhGviywaaw==",
+ "version": "15.6.0",
+ "resolved": "https://registry.npmjs.org/eslint-plugin-n/-/eslint-plugin-n-15.6.0.tgz",
+ "integrity": "sha512-Hd/F7wz4Mj44Jp0H6Jtty13NcE69GNTY0rVlgTIj1XBnGGVI6UTdDrpE6vqu3AHo07bygq/N+7OH/lgz1emUJw==",
"dev": true,
"dependencies": {
"builtins": "^5.0.1",
}
},
"node_modules/rollup": {
- "version": "3.5.1",
- "resolved": "https://registry.npmjs.org/rollup/-/rollup-3.5.1.tgz",
- "integrity": "sha512-hdQWTvPeiAbM6SUkxV70HdGUVxsgsc+CLy5fuh4KdgUBJ0SowXiix8gANgXoG3wEuLwfoJhCT2V+WwxfWq9Ikw==",
+ "version": "3.6.0",
+ "resolved": "https://registry.npmjs.org/rollup/-/rollup-3.6.0.tgz",
+ "integrity": "sha512-qCgiBeSu2/AIOKWGFMiRkjPlGlcVwxAjwpGKQZOQYng+83Hip4PjrWHm7EQX1wnrvRqfTytEihRRfLHdX+hR4g==",
"dev": true,
"bin": {
"rollup": "dist/bin/rollup"
}
},
"eslint-plugin-n": {
- "version": "15.5.1",
- "resolved": "https://registry.npmjs.org/eslint-plugin-n/-/eslint-plugin-n-15.5.1.tgz",
- "integrity": "sha512-kAd+xhZm7brHoFLzKLB7/FGRFJNg/srmv67mqb7tto22rpr4wv/LV6RuXzAfv3jbab7+k1wi42PsIhGviywaaw==",
+ "version": "15.6.0",
+ "resolved": "https://registry.npmjs.org/eslint-plugin-n/-/eslint-plugin-n-15.6.0.tgz",
+ "integrity": "sha512-Hd/F7wz4Mj44Jp0H6Jtty13NcE69GNTY0rVlgTIj1XBnGGVI6UTdDrpE6vqu3AHo07bygq/N+7OH/lgz1emUJw==",
"dev": true,
"requires": {
"builtins": "^5.0.1",
}
},
"rollup": {
- "version": "3.5.1",
- "resolved": "https://registry.npmjs.org/rollup/-/rollup-3.5.1.tgz",
- "integrity": "sha512-hdQWTvPeiAbM6SUkxV70HdGUVxsgsc+CLy5fuh4KdgUBJ0SowXiix8gANgXoG3wEuLwfoJhCT2V+WwxfWq9Ikw==",
+ "version": "3.6.0",
+ "resolved": "https://registry.npmjs.org/rollup/-/rollup-3.6.0.tgz",
+ "integrity": "sha512-qCgiBeSu2/AIOKWGFMiRkjPlGlcVwxAjwpGKQZOQYng+83Hip4PjrWHm7EQX1wnrvRqfTytEihRRfLHdX+hR4g==",
"dev": true,
"requires": {
"fsevents": "~2.3.2"
"eslint-import-resolver-typescript": "^3.5.2",
"eslint-plugin-import": "^2.26.0",
"eslint-plugin-jsdoc": "^39.6.4",
- "eslint-plugin-n": "^15.5.1",
+ "eslint-plugin-n": "^15.6.0",
"eslint-plugin-promise": "^6.1.1",
"eslint-plugin-spellcheck": "^0.0.20",
"expect": "^29.3.1",
"prettier": "^2.8.0",
"prettier-plugin-organize-imports": "^3.2.1",
"release-it": "^15.5.1",
- "rollup": "^3.5.1",
+ "rollup": "^3.6.0",
"rollup-plugin-analyzer": "^4.0.0",
"rollup-plugin-command": "^1.1.3",
"rollup-plugin-delete": "^2.0.0",